Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/1_namelist_cfg
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/1_namelist_cfg	(revision 8704)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/1_namelist_cfg	(revision 8706)
@@ -14,5 +14,6 @@
    cn_exp      =  "SASBIPER"  !  experience name
    nn_it000    =       1      !  first time step
-   nn_itend    =    30300     !  last  time step (std 5475)
+   nn_itend    =    3030      !  last  time step (std 5475)
+   nn_istate   =       1      !  output the initial state (1) or not (0)
 /
 !-----------------------------------------------------------------------
@@ -26,7 +27,7 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
-   !
-   nn_msh      =    1      !  create (>0) a mesh file or not (=0)
+   ln_linssh   = .true.   !  =T  linear free surface  ==>>  model level are fixed in time
+   !
+   nn_msh      =    1     !  create (>0) a mesh file or not (=0)
    !
    rn_rdt      = 400.     !  time step for the dynamics (and tracer if nn_acc=0)
@@ -44,4 +45,5 @@
 !-----------------------------------------------------------------------
    ln_usr      = .true.   !  user defined formulation                  (T => check usrdef_sbc)
+   ln_blk      = .false.  !  Bulk formulation                          (T => fill namsbc_blk )
    nn_fsbc     =  1       !  frequency of surface boundary condition computation
 /
@@ -51,4 +53,9 @@
 /
 !-----------------------------------------------------------------------
+&namsbc_sas    !   Stand Alone Surface boundary condition
+!-----------------------------------------------------------------------
+   l_sasread   = .false.   ! Read fields in a file if .TRUE. , or initialize to 0. in sbcssm.F90 if .FALSE.
+/
+!-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
@@ -69,4 +76,5 @@
 &namberg       !   iceberg parameters
 !-----------------------------------------------------------------------
+   ln_bergdia               = .false.               ! Calculate budgets
 /
 !-----------------------------------------------------------------------
@@ -77,6 +85,12 @@
 /
 !-----------------------------------------------------------------------
-&nambfr        !   bottom friction
-!-----------------------------------------------------------------------
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
+!-----------------------------------------------------------------------
+   nn_cln_update =    1    !  baroclinic update frequency
+/
+!-----------------------------------------------------------------------
+&namdrg            !   top/bottom drag coefficient                      (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_NONE    = .true.     !  free-slip       : Cd = 0                  
 /
 !-----------------------------------------------------------------------
@@ -94,5 +108,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv    !   advection scheme for tracer
+&namtra_adv    !   advection scheme for tracer                          (default: NO selection)
 !-----------------------------------------------------------------------
    ln_traadv_fct =  .true.    !  FCT scheme
@@ -138,4 +152,14 @@
 &namtra_ldfeiv !   eddy induced velocity param.
 !----------------------------------------------------------------------------------
+   ln_ldfeiv     =.true.   ! use eddy induced velocity parameterization
+   ln_ldfeiv_dia =.true.   ! diagnose eiv stream function and velocities
+   rn_aeiv_0     = 2000.   ! eddy induced velocity coefficient   [m2/s]
+   nn_aei_ijk_t  = 21      ! space/time variation of the eiv coeficient
+   !                                !   =-20 (=-30)    read in eddy_induced_velocity_2D.nc (..._3D.nc) file
+   !                                !   =  0           constant 
+   !                                !   = 10 F(k)      =ldf_c1d 
+   !                                !   = 20 F(i,j)    =ldf_c2d 
+   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
+   !                                !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
 /
 !-----------------------------------------------------------------------
@@ -147,8 +171,8 @@
 !-----------------------------------------------------------------------
    ln_dynadv_NONE= .false. !  linear dynamics (no momentum advection)
-   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)
-   nn_dynkeg     = 0       ! scheme for grad(KE): =0   C2  ;  =1   Hollingsworth correction
+   ln_dynadv_vec = .true. !  vector form - 2nd centered scheme
+     nn_dynkeg     = 0        ! grad(KE) scheme: =0   C2  ;  =1   Hollingsworth correction
    ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
-   ln_dynadv_ubs = .true.  !  flux form - 3rd order UBS      scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme
 /
 !-----------------------------------------------------------------------
@@ -198,9 +222,19 @@
 /
 !-----------------------------------------------------------------------
-&namzdf        !   vertical physics
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+&namzdf        !   vertical physics                                     (default: NO selection)
+!-----------------------------------------------------------------------
+   !                       ! type of vertical closure
+   ln_zdfcst   = .true.       !  constant mixing
+/
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_iwm    !   tidal mixing parameterization                        (ln_zdfiwm =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
 !-----------------------------------------------------------------------
 /
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/1_namelist_ice_cfg
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/1_namelist_ice_cfg	(revision 8704)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/1_namelist_ice_cfg	(revision 8706)
@@ -22,6 +22,4 @@
 &nampar         !   Generic parameters
 !------------------------------------------------------------------------------
-   jpl              =   1             !  number of ice  categories
-   nlay_i           =   1             !  number of ice  layers
    ln_icedyn        = .true.          !  ice dynamics (T) or not (F)
    ln_icethd        = .false.         !  ice thermo   (T) or not (F)
@@ -84,4 +82,5 @@
 &namini         !   Ice initialization
 !------------------------------------------------------------------------------
+   ln_iceini        = .false.          !  activate ice initialization (T) or not (F)
 /
 !------------------------------------------------------------------------------
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/file_def_nemo-lim.xml
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/file_def_nemo-lim.xml	(revision 8704)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/file_def_nemo-lim.xml	(revision 8706)
@@ -17,11 +17,8 @@
 	<file id="file1" name_suffix="_icemod" description="ice variables" enabled=".true." >
 
-        <field field_ref="snowthic_cea"     name="snthic"     long_name="surface_snow_thickness"   />
         <field field_ref="snowvol"          name="snvolu" />
-        <field field_ref="isnowhc"          name="snheco" />
-
-        <field field_ref="icethic_cea"      name="sithic"     long_name="sea_ice_thickness"        />
+        <field field_ref="icethic"          name="sithic" />
         <field field_ref="icevolu"          name="sivolu" />
-        <field field_ref="iceconc"          name="siconc"  />
+        <field field_ref="iceconc"          name="siconc" />
         <field field_ref="micesalt"         name="sisali" />
         <field field_ref="micet"            name="sitemp" />
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_cfg	(revision 8704)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_cfg	(revision 8706)
@@ -15,4 +15,5 @@
    nn_it000    =       1      !  first time step
    nn_itend    =    1010      !  last  time step (std 5475)
+   nn_istate   =       1      !  output the initial state (1) or not (0)
 /
 !-----------------------------------------------------------------------
@@ -52,4 +53,9 @@
 /
 !-----------------------------------------------------------------------
+&namsbc_sas    !   Stand Alone Surface boundary condition
+!-----------------------------------------------------------------------
+   l_sasread   = .false.   ! Read fields in a file if .TRUE. , or initialize to 0. in sbcssm.F90 if .FALSE.
+/
+!-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
@@ -68,10 +74,7 @@
 /
 !-----------------------------------------------------------------------
-&namsbc_sas    !   Stand Alone Surface boundary condition
-!-----------------------------------------------------------------------
-   l_sasread   = .false.   ! Read fields in a file if .TRUE. , or initialize to 0. in sbcssm.F90 if .FALSE.
-!-----------------------------------------------------------------------
 &namberg       !   iceberg parameters
 !-----------------------------------------------------------------------
+   ln_bergdia               = .false.               ! Calculate budgets
 /
 !-----------------------------------------------------------------------
@@ -80,4 +83,9 @@
    rn_shlat    =    0.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
                            !  free slip  !   partial slip  !   no slip   ! strong slip
+/
+!-----------------------------------------------------------------------
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
+!-----------------------------------------------------------------------
+   nn_cln_update =    1    !  baroclinic update frequency
 /
 !-----------------------------------------------------------------------
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_ice_cfg
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_ice_cfg	(revision 8704)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_ice_cfg	(revision 8706)
@@ -22,6 +22,4 @@
 &nampar         !   Generic parameters
 !------------------------------------------------------------------------------
-   jpl              =   1             !  number of ice  categories
-   nlay_i           =   1             !  number of ice  layers
    ln_icedyn        = .true.          !  ice dynamics (T) or not (F)
    ln_icethd        = .false.         !  ice thermo   (T) or not (F)
@@ -84,4 +82,14 @@
 &namini         !   Ice initialization
 !------------------------------------------------------------------------------
+   ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
+   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+
+   sn_hti = 'initice'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_hts = 'initice'                 , -12 ,'hts'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_ati = 'initice'                 , -12 ,'ati'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_tsu = 'initice'                 , -12 ,'tsu'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_tmi = 'initice'                 , -12 ,'tmi'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_smi = 'initice'                 , -12 ,'smi'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   cn_dir='./'
 /
 !------------------------------------------------------------------------------
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 8704)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 8706)
@@ -62,5 +62,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_zgr : LOCK_EXCHANGE configuration (z-coordinate closed box ocean without cavities)'
+      IF(lwp) WRITE(numout,*) 'usr_def_zgr : SAS_BIPER configuration (slab ocean - advection of an ice patch in a biperiodic square box domain)'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
       !
@@ -68,8 +68,7 @@
       ! type of vertical coordinate
       ! ---------------------------
-      ! set in usrdef_nam.F90 by reading the namusr_def namelist only ln_zco
-      ln_zco    = .TRUE.       ! z-partial-step coordinate
-      ln_zps    = .FALSE.      ! z-partial-step coordinate
-      ln_sco    = .FALSE.      ! s-coordinate
+      ld_zco    = .TRUE.       ! z-full-step coordinate
+      ld_zps    = .FALSE.      ! z-partial-step coordinate
+      ld_sco    = .FALSE.      ! s-coordinate
       ld_isfcav = .FALSE.      ! ISF Ice Shelves Flag
       !