Index: anches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/file_def_nemo.xml
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/file_def_nemo.xml	(revision 8720)
+++ 	(revision )
@@ -1,351 +1,0 @@
-<?xml version="1.0"?>
-
-    <!-- 
-============================================================================================================
-=                                           output files definition                                        =
-=                                            Define your own files                                         =
-=                                         put the variables you want...                                    =
-============================================================================================================
-    -->
-    
-    <file_definition type="one_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="10d" min_digits="4">
-    
-      <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
-
-      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
-
-      <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
-
-      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
-
-      <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
-
-      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->     
-
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."/> <!-- 1d files -->
-      
-      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->
-      
-      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
-	
-	<file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
-	  <field field_ref="e3t"      />
-	  <field field_ref="toce"         name="thetao"                                                                      operation="instant" freq_op="5d" > @toce_e3t / @e3t </field>
-	  <field field_ref="soce"         name="so"                                                                          operation="instant" freq_op="5d" > @soce_e3t / @e3t </field>
-	  <field field_ref="sst"          name="tos"   />
-	  <field field_ref="sss"          name="sos"   />
-	  <field field_ref="ssh"          name="zos"   />
-	  <field field_ref="sst"          name="tosstd"       long_name="sea surface temperature standard deviation"         operation="instant" freq_op="5d" > sqrt( @sst2 - @sst * @sst ) </field>
-	  <field field_ref="ssh"          name="zosstd"       long_name="sea surface height above geoid standard deviation"  operation="instant" freq_op="5d" > sqrt( @ssh2 - @ssh * @ssh ) </field>
-	  <field field_ref="sst"          name="sstdcy"       long_name="amplitude of sst diurnal cycle"                     operation="average" freq_op="1d" > @sstmax - @sstmin </field>
-	  <field field_ref="mldkz5"   />
-	  <field field_ref="mldr10_1" />
-	  <field field_ref="mldr10_1"     name="mldr10_1dcy"  long_name="amplitude of mldr10_1 diurnal cycle"                operation="average" freq_op="1d" > @mldr10_1max - @mldr10_1min </field>
-	  <field field_ref="sbt"      />
-	  <field field_ref="heatc"        name="heatc" />
-	  <field field_ref="saltc"        name="saltc" />
-	</file>
-
-	<file id="file2" name_suffix="_SBC" description="surface fluxes variables" > <!-- time step automaticaly defined based on nn_fsbc -->
-	  <field field_ref="empmr"        name="wfo"      />
-	  <field field_ref="qsr_oce"      name="qsr_oce"  />
-	  <field field_ref="qns_oce"      name="qns_oce"  />
-	  <field field_ref="qt_oce"       name="qt_oce"   />
-	  <field field_ref="qsr_ice"      name="qsr_ice"  />
-	  <field field_ref="qns_ice"      name="qns_ice"  />
-	  <field field_ref="qtr_ice"      name="qtr_ice"  />
-	  <field field_ref="qt_ice"       name="qt_ice"   />
-	  <field field_ref="saltflx"      name="sfx"      />
-	  <field field_ref="taum"         name="taum"     />
-	  <field field_ref="wspd"         name="windsp"   />
-	  <field field_ref="precip"       name="precip"   />
-	  <!-- ice and snow -->
-	  <field field_ref="snowpre" />
-	  <field field_ref="utau_ice"     name="utau_ice" />
-	  <field field_ref="vtau_ice"     name="vtau_ice" />
-	</file>
-
-	<file id="file3" name_suffix="_grid_U" description="ocean U grid variables" >
-	  <field field_ref="e3u" />
-	  <field field_ref="ssu"          name="uos"      />
-	  <field field_ref="uoce"         name="uo"       operation="instant" freq_op="5d" > @uoce_e3u / @e3u </field>
-	  <field field_ref="utau"         name="tauuo"    />
-          <field field_ref="uocetr_eff"   name="uocetr_eff"  />
-          <!-- available with diaar5 -->
-	  <field field_ref="u_masstr"     name="vozomatr" />
-	  <field field_ref="u_heattr"     name="sozohetr" />
-      <field field_ref="u_salttr"     name="sozosatr" />
-	</file>
-	
-	<file id="file4" name_suffix="_grid_V" description="ocean V grid variables" >
-	  <field field_ref="e3v" />
-	  <field field_ref="ssv"          name="vos"      />
-	  <field field_ref="voce"         name="vo"       operation="instant" freq_op="5d" > @voce_e3v / @e3v </field>
-	  <field field_ref="vtau"         name="tauvo"    />
-          <field field_ref="vocetr_eff"   name="vocetr_eff"  />
-          <!-- available with diaar5 -->
-	  <field field_ref="v_masstr"     name="vomematr" />
-	  <field field_ref="v_heattr"     name="somehetr" />
-          <field field_ref="v_salttr"     name="somesatr" />
-	</file>
-	
-	<file id="file5" name_suffix="_grid_W" description="ocean W grid variables" >
-	  <field field_ref="e3w" />
-	  <field field_ref="woce"         name="wo"       />
-	  <field field_ref="avt"          name="difvho"   />
-	  <field field_ref="w_masstr"     name="vovematr" />
-         <!-- variables available with ln_zdfiwm =T -->
-          <field field_ref="av_wave"      name="av_wave"    />
-          <field field_ref="bn2"          name="bn2"        />
-          <field field_ref="bflx_iwm"     name="bflx_iwm"   />
-          <field field_ref="pcmap_iwm"    name="pcmap_iwm"  />
-          <field field_ref="emix_iwm"     name="emix_iwm"   />
-          <field field_ref="av_ratio"     name="av_ratio"   />
-	</file>
-
-	<file id="file6" name_suffix="_icemod" description="ice variables" enabled=".true." >
-          <field field_ref="snothic"         name="snthic" />
-          <field field_ref="icethic"         name="sithic" />
-          <field field_ref="icevolu"         name="sivolu" />
-          <field field_ref="snowvol"         name="snvolu" />
-          <field field_ref="iceconc"         name="siconc" />
-
-          <field field_ref="vfxbog"          name="vfxbog" />
-          <field field_ref="vfxdyn"          name="vfxdyn" />
-          <field field_ref="vfxopw"          name="vfxopw" />
-          <field field_ref="vfxsni"          name="vfxsni" />
-          <field field_ref="vfxsum"          name="vfxsum" />
-          <field field_ref="vfxbom"          name="vfxbom" />
-          <field field_ref="vfxres"          name="vfxres" />
-          <field field_ref="vfxice"          name="vfxice" />
-          <field field_ref="vfxsnw"          name="vfxsnw" />
-          <field field_ref="vfxsub"          name="vfxsub" />
-          <field field_ref="vfxspr"          name="vfxspr" />
-
-          <field field_ref="icetrp"          name="sivtrp" />
-          <field field_ref="snwtrp"          name="snvtrp" />
-          <field field_ref="saltrp"          name="saltrp" />
-          <field field_ref="deitrp"          name="deitrp" />
-          <field field_ref="destrp"          name="destrp" />
-
-          <field field_ref="sfxbri"          name="sfxbri" />
-          <field field_ref="sfxdyn"          name="sfxdyn" />
-          <field field_ref="sfxres"          name="sfxres" />
-          <field field_ref="sfxbog"          name="sfxbog" />
-          <field field_ref="sfxbom"          name="sfxbom" />
-          <field field_ref="sfxsum"          name="sfxsum" />
-          <field field_ref="sfxsni"          name="sfxsni" />
-          <field field_ref="sfxopw"          name="sfxopw" />
-          <field field_ref="sfx"             name="sfx"    />
-
-          <field field_ref="hfxsum"          name="hfxsum"     />
-          <field field_ref="hfxbom"          name="hfxbom"     />
-          <field field_ref="hfxbog"          name="hfxbog"     />
-          <field field_ref="hfxdif"          name="hfxdif"     />
-          <field field_ref="hfxopw"          name="hfxopw"     />
-          <field field_ref="hfxout"          name="hfxout"     />
-          <field field_ref="hfxin"           name="hfxin"      />
-          <field field_ref="hfxsnw"          name="hfxsnw"     />
-          <field field_ref="hfxerr"          name="hfxerr"     />
-          <field field_ref="hfxerr_rem"      name="hfxerr_rem" />
-
-	  <!-- ice-ocean heat flux from mass exchange -->
-          <field field_ref="hfxdyn"          name="hfxdyn" />
-          <field field_ref="hfxres"          name="hfxres" />
-          <field field_ref="hfxthd"          name="hfxthd" />
-	  <!-- ice-atm. heat flux from mass exchange -->
-          <field field_ref="hfxsub"          name="hfxsub" />
-          <field field_ref="hfxspr"          name="hfxspr" />
-
-	  <!-- diags -->
-          <field field_ref="hfxdhc"          name="hfxdhc" />
-          <field field_ref="hfxtur"          name="hfxtur" />
-
-          <field field_ref="isst"            name="sst"    />
-          <field field_ref="isss"            name="sss"    />
-          <field field_ref="micesalt"        name="sisali" />
-          <field field_ref="micet"           name="sitemp" />
-          <field field_ref="icest"           name="sistem" />
-          <field field_ref="icehc"           name="siheco" />
-          <field field_ref="isnowhc"         name="snheco" />
-          <field field_ref="miceage"         name="siages" />
-
-          <field field_ref="uice_ipa"        name="sivelu" />
-          <field field_ref="vice_ipa"        name="sivelv" />
-          <field field_ref="icevel"          name="sivelo" />
-          <field field_ref="idive"           name="sidive" />
-          <field field_ref="ishear"          name="sishea" />
-          <field field_ref="icestr"          name="sistre" />
-
-          <field field_ref="ibrinv"          name="sibrin" />
-          <field field_ref="icecolf"         name="sicolf" />
-
-          <field field_ref="iceage_cat"      name="siagecat" />
-          <field field_ref="iceconc_cat"     name="siconcat" />
-          <field field_ref="icethic_cat"     name="sithicat" />
-          <field field_ref="snowthic_cat"    name="snthicat" />
-          <field field_ref="salinity_cat"    name="salincat" />
-          <field field_ref="brinevol_cat"    name="sibricat" />
-	  <field field_ref="icetemp_cat"     name="sitemcat" />
-	  <field field_ref="snwtemp_cat"     name="sntemcat" />
-
-	</file>
-
-        <file id="file7" name_suffix="_scalar" description="scalar variables" enabled=".true." >
-          <field field_ref="voltot"       name="scvoltot"   />
-          <field field_ref="sshtot"       name="scsshtot"   />
-          <field field_ref="sshsteric"    name="scsshste"   />
-          <field field_ref="sshthster"    name="scsshtst"   />
-          <field field_ref="masstot"      name="scmastot"   />
-          <field field_ref="temptot"      name="sctemtot"   />
-          <field field_ref="saltot"       name="scsaltot"   />
-
-          <field field_ref="bgtemper"     name="bgtemper"   />
-          <field field_ref="bgsaline"     name="bgsaline"   />
-          <field field_ref="bgheatco"     name="bgheatco"   />
-          <field field_ref="bgsaltco"     name="bgsaltco"   />
-          <field field_ref="bgvolssh"     name="bgvolssh"   /> 
-          <field field_ref="bgvole3t"     name="bgvole3t"   />
-          <field field_ref="bgfrcvol"     name="bgfrcvol"   />
-          <field field_ref="bgfrctem"     name="bgfrctem"   />
-          <field field_ref="bgfrcsal"     name="bgfrcsal"   />
-        </file>
-
-        <file id="file8" name_suffix="_SBC_scalar" description="scalar variables" enabled=".true." >
-          <!-- global contents -->
-	  <field field_ref="ibgvol_tot"    name="ibgvol_tot"   />
-	  <field field_ref="sbgvol_tot"    name="sbgvol_tot"   />
-	  <field field_ref="ibgarea_tot"   name="ibgarea_tot"  />
-	  <field field_ref="ibgsalt_tot"   name="ibgsalt_tot"  />
-	  <field field_ref="ibgheat_tot"   name="ibgheat_tot"  />
-	  <field field_ref="sbgheat_tot"   name="sbgheat_tot"  />
-	  
-	  <!-- global drifts (conservation checks) -->
-	  <field field_ref="ibgvolume"     name="ibgvolume"    />
-	  <field field_ref="ibgsaltco"     name="ibgsaltco"    />
-	  <field field_ref="ibgheatco"     name="ibgheatco"    />
-	  <field field_ref="ibgheatfx"     name="ibgheatfx"    />
-	  
-	  <!-- global forcings  -->
-	  <field field_ref="ibgfrcvoltop"  name="ibgfrcvoltop" />
-	  <field field_ref="ibgfrcvolbot"  name="ibgfrcvolbot" />
-	  <field field_ref="ibgfrctemtop"  name="ibgfrctemtop" />
-	  <field field_ref="ibgfrctembot"  name="ibgfrctembot" />
-	  <field field_ref="ibgfrcsal"     name="ibgfrcsal"    />
-	  <field field_ref="ibgfrchfxtop"  name="ibgfrchfxtop" />
-	  <field field_ref="ibgfrchfxbot"  name="ibgfrchfxbot" />
-        </file>
-
-        <file id="file9" name_suffix="_bioscalar" description="pisces sms variables" >
-          <field field_ref="tdenit"   name="tdenit"   unit="TgN/yr" operation="instant" > tdenit * 14. * 86400. * 365. / 1e12 </field>
-          <field field_ref="tnfix"    name="tnfix"    unit="TgN/yr" operation="instant" > tnfix * 14. * 86400. * 365. / 1e12 </field>
-          <field field_ref="tcflx"    name="tcflx"    unit="PgC/yr" operation="instant" > tcflx * -1. * 12. * 86400. * 365. / 1e15 </field>
-          <field field_ref="tcflxcum" name="tcflxcum" unit="PgC"    operation="instant" > tcflxcum * -1. * 12. / 1e15 </field>
-          <field field_ref="tcexp"    name="tcexp"    unit="PgC/yr" operation="instant" > tcexp * 12. * 86400. * 365. / 1e15 </field>
-          <field field_ref="tintpp"   name="tintpp"   unit="PgC/yr" operation="instant" > tintpp * 12. * 86400. * 365. / 1e15 </field>
-          <field field_ref="pno3tot"  name="pno3tot"  unit="umolN"  > pno3tot * 16. / 122. * 1e6 </field>
-          <field field_ref="ppo4tot"  name="ppo4tot"  unit="umolP"  > ppo4tot * 1. / 122. * 1e6 </field>
-          <field field_ref="psiltot"  name="psiltot"  unit="umolC"  > psiltot * 1e6  </field>
-          <field field_ref="palktot"  name="palktot"  unit="umolC"  > palktot * 1e6  </field>
-        <field field_ref="pfertot"  name="pfertot"  unit="nmolFe" > pfertot * 1e9  </field>
-        </file>
-	<!--
-	<file id="file20" name_suffix="_Tides" description="tidal harmonics" >
-	  <field field_ref="M2x"          name="M2x"      long_name="M2 Elevation harmonic real part"                       />
-	  <field field_ref="M2y"          name="M2y"      long_name="M2 Elevation harmonic imaginary part"                  />
-	  <field field_ref="M2x_u"        name="M2x_u"    long_name="M2 current barotrope along i-axis harmonic real part "       />
-	  <field field_ref="M2y_u"        name="M2y_u"    long_name="M2 current barotrope along i-axis harmonic imaginary part "  />
-	  <field field_ref="M2x_v"        name="M2x_v"    long_name="M2 current barotrope along j-axis harmonic real part "       />
-	  <field field_ref="M2y_v"        name="M2y_v"    long_name="M2 current barotrope along j-axis harmonic imaginary part "  />
-	</file>
-	-->
-
-      </file_group>
-
-      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."> <!-- real monthly files -->
-
-	<file id="file10" name_suffix="_ptrc_T" description="pisces sms variables" >
-          <field field_ref="DIC"      />
-          <field field_ref="Alkalini" />
-          <field field_ref="O2"       />
-          <field field_ref="PO4"      />
-          <field field_ref="Si"       />
-          <field field_ref="Fer"      />
-          <field field_ref="NCHL"     />
-          <field field_ref="DCHL"     />
-          <field field_ref="NO3"      />
-	</file>
-	
-	<file id="file11" name_suffix="_diad_T" description="additional pisces diagnostics" >
-          <field field_ref="Cflx"     />
-          <field field_ref="Dpco2"    />
-	</file>
-
-      </file_group>
-      <file_group id="2m" output_freq="2mo" output_level="10" enabled=".TRUE."/> <!-- real 2m files -->
-      <file_group id="3m" output_freq="3mo" output_level="10" enabled=".TRUE."/> <!-- real 3m files -->
-      <file_group id="4m" output_freq="4mo" output_level="10" enabled=".TRUE."/> <!-- real 4m files -->
-      <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
-
-      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".TRUE."> <!-- real yearly files -->
-
-	<file id="file12" name_suffix="_ptrc_T" description="pisces sms variables" >
-          <field field_ref="DIC"      />
-          <field field_ref="Alkalini" />
-          <field field_ref="O2"       />
-          <field field_ref="CaCO3"    />
-          <field field_ref="PO4"      />
-          <field field_ref="POC"      />
-          <field field_ref="Si"       />
-          <field field_ref="PHY"      />
-          <field field_ref="ZOO"      />
-          <field field_ref="DOC"      />
-          <field field_ref="PHY2"     />
-          <field field_ref="ZOO2"     />
-          <field field_ref="DSi"      />
-          <field field_ref="Fer"      />
-          <field field_ref="BFe"      />
-          <field field_ref="GOC"      />
-          <field field_ref="SFe"      />
-          <field field_ref="DFe"      />
-          <field field_ref="GSi"      />
-          <field field_ref="NFe"      />
-          <field field_ref="NCHL"     />
-          <field field_ref="DCHL"     />
-          <field field_ref="NO3"      />
-          <field field_ref="NH4"      />
-	</file>
-
-	<file id="file13" name_suffix="_diad_T" description="additional pisces diagnostics" >
-          <field field_ref="PH"       />
-          <field field_ref="PAR"      />
-          <field field_ref="PPPHYN"    />
-          <field field_ref="PPPHYD"   />
-          <field field_ref="PPPHYP"   />
-          <field field_ref="PPNEWN"   />
-          <field field_ref="PPNEWD"   />
-          <field field_ref="PPNEWP"   />
-          <field field_ref="PBSi"     />
-          <field field_ref="PFeN"     />
-          <field field_ref="PFeD"     />
-          <field field_ref="PCAL"     />
-          <field field_ref="DCAL"     />
-          <field field_ref="GRAZ1"    />
-          <field field_ref="GRAZ2"    />
-          <field field_ref="EPC100"   />
-          <field field_ref="EPFE100"  />
-          <field field_ref="EPSI100"  />
-          <field field_ref="EPCAL100" />
-          <field field_ref="Cflx"     />
-          <field field_ref="Dpco2"    />
-          <field field_ref="Heup"     />
-          <field field_ref="Nfix"     />
-	</file>
-     </file_group>  
-
-      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
-      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
-      <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
-
-   </file_definition>
-    