Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 8749)
@@ -52,5 +52,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_archfile.sh 7646 2017-02-06 09:25:03Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 8749)
@@ -58,5 +58,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_config.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 8749)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_script.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 8749)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fclean_var.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 8749)
@@ -46,5 +46,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcopy_dir.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 8749)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fgo_to_TOOLS.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 8749)
@@ -48,5 +48,5 @@
 # ==========
 #
-# $Id$
+# $Id: Flist_archfile.sh 4148 2013-11-04 12:54:28Z cetlod $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 8749)
@@ -57,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_WORK.sh 8527 2017-09-15 13:59:36Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 8749)
@@ -51,5 +51,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_bld.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 8749)
@@ -50,5 +50,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_config.sh 7646 2017-02-06 09:25:03Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 8749)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fprep_agrif.sh 5656 2015-07-31 08:55:56Z timgraham $
 #
 #
Index: branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh
===================================================================
--- branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 8748)
+++ branches/UKMO/r8727_WAVE-2_Clementi_add_coupling/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 8749)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fread_dir.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #